database.sarang.net
UserID
Passwd
Database
DBMS
MySQL
PostgreSQL
Firebird
Oracle
Informix
Sybase
MS-SQL
DB2
Cache
ㆍCUBRID
LDAP
ALTIBASE
Tibero
DB 문서들
스터디
Community
공지사항
자유게시판
구인|구직
DSN 갤러리
도움주신분들
Admin
운영게시판
최근게시물
CUBRID Q&A 1139 게시물 읽기
No. 1139
Q.cubrid 7.3 upgrade 이후 DB연결 오류
작성자
문화정보센터
작성일
2008-07-01 13:20
조회수
4,659

큐브리드를 6.4 -> 7.3 업그레이드 이후 DB 연결 오류가 생겼습니다.

 

<환경>

ㅇ웹서버 Linux

apache 2.0.59

php 5.1.6

 

ㅇDB서버 Linux

Cubrid 7.3

 

별도 서버에서 jdbc로 연결하여 사용하고 있습니다.

변경해야할 파일이나 설정을 알려주시면 감사하겠습니다.

이 글에 대한 댓글이 총 2건 있습니다.

안녕하세요.

 

기존에 사용하셨던 환경에서 7.3으로 업그레이드 이후 발생한 것인지요?

그렇다면 문제는 큐브리드 업그레이드 이후의 설정에 문제가 있다고 볼 수 있습니다.

jdbc로 연결시 사용되는 url에서 기존의 borker포트로 설정되어 있을 것 같은데..

7.3설치시 기본적으로 적용되는 broker포트 30000, 33000이므로 확인해 보세요.

 

 

 

>큐브리드를 6.4 -> 7.3 업그레이드 이후 DB 연결 오류가 생겼습니다.

>

><환경>

>ㅇ웹서버 Linux

>apache 2.0.59

>php 5.1.6

>

>ㅇDB서버 Linux

>Cubrid 7.3

>

>별도 서버에서 jdbc로 연결하여 사용하고 있습니다.

>변경해야할 파일이나 설정을 알려주시면 감사하겠습니다.

 

허지웅님이 2008-07-01 13:45에 작성한 댓글입니다. Edit

질문하신 내용 중 웹서비스는 PHP인데 jdbc로 연결하여 사용하신다는 부분이 이해가 안되는데 잘못 질문하신 것 같습니다.

 

큐브리드 업그레이드 시 PHP설정 변경에 관한 질문으로 생각하고 답변 드리겠습니다.

 

큐브리드 업그레이드 시 PHP 서버에는 libcascci.so라는 파일을 새 버전으로 변경하여야 합니다.

PHP 서버에서 libcascci.so이 존재하는 경로를 찾으셔서 웹서버를 종료한 후 DB서버의 $CUBRID_BROKER/cci에 존재하는 새버전 파일로 바꿔주시고 웹서버를 구동하시기 바랍니다.

 

 

>큐브리드를 6.4 -> 7.3 업그레이드 이후 DB 연결 오류가 생겼습니다.

>

><환경>

>ㅇ웹서버 Linux

>apache 2.0.59

>php 5.1.6

>

>ㅇDB서버 Linux

>Cubrid 7.3

>

>별도 서버에서 jdbc로 연결하여 사용하고 있습니다.

>변경해야할 파일이나 설정을 알려주시면 감사하겠습니다.

 

손승일님이 2008-07-02 10:15에 작성한 댓글입니다. Edit
[Top]
No.
제목
작성자
작성일
조회
1142Q.아래 5608번의 2번 재질문합니다. [3]
이경화
2008-07-01
4731
1141Q.The CUBRID java stored procedure can not be used [2]
안성민
2008-07-01
4812
1140Q.자료조회 관련 문의입니다. [1]
이경화
2008-07-01
4721
1139Q.cubrid 7.3 upgrade 이후 DB연결 오류 [2]
문화정보센터
2008-07-01
4659
1138Q.인덱스, 힌트 사용에 관한 궁금증 [1]
윤희
2008-06-30
4873
1137Q.INSERT 오류 메시지 질문 [1]
gilbird
2008-06-27
5786
1136Q.메소드 작성방법... 좀 봐주세요... [1]
enoeht
2008-06-25
5102
Valid XHTML 1.0!
All about the DATABASE... Copyleft 1999-2021 DSN, All rights reserved.
작업시간: 0.011초, 이곳 서비스는
	PostgreSQL v13.3으로 자료를 관리합니다